Package gov.nasa.gsfc.sscweb.schema

# Enum Class MapRegion

java.lang.Object
java.lang.Enum<MapRegion>
gov.nasa.gsfc.sscweb.schema.MapRegion

All Implemented Interfaces:
  `Serializable`, `Comparable<MapRegion>`, `Constable`

public enum MapRegion extends Enum<MapRegion>
Map region enumeration. See http://sscweb.gsfc.nasa.gov/users_guide/ssc_reg_doc.html for a description. <p>Java class for MapRegion</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="MapRegion"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="NorthCusp"/> <enumeration value="SouthCusp"/> <enumeration value="NorthCleft"/> <enumeration value="SouthCleft"/> <enumeration value="NorthAuroralOval"/> <enumeration value="SouthAuroralOval"/> <enumeration value="NorthPolarCap"/> <enumeration value="SouthPolarCap"/> <enumeration value="NorthMidLatitude"/> <enumeration value="SouthMidLatitude"/> <enumeration value="LowLatitude"/> <enumeration value="None"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LOW_LATITUDE`
  Low Latitude region.
  `NONE`
  No region.
  `NORTH_AURORAL_OVAL`
  Northern Auroral Oval region.
  `NORTH_CLEFT`
  Northern Cleft region.
  `NORTH_CUSP`
  Northern Cusp region.
  `NORTH_MID_LATITUDE`
  Northern Mid Latitude region.
  `NORTH_POLAR_CAP`
  Northern Polar Cap region.
  `SOUTH_AURORAL_OVAL`
  Southern Auroral Oval region.
  `SOUTH_CLEFT`
  Southern Cleft region.
  `SOUTH_CUSP`
  Southern Cusp region.
  `SOUTH_MID_LATITUDE`
  Southern Mid Latitude region.
  `SOUTH_POLAR_CAP`
  Southern Polar Cap region.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `MapRegion(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MapRegion`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static MapRegion`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MapRegion[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORTH_CUSP

    public static final MapRegion NORTH_CUSP
    Northern Cusp region.

  - ### SOUTH_CUSP

    public static final MapRegion SOUTH_CUSP
    Southern Cusp region.

  - ### NORTH_CLEFT

    public static final MapRegion NORTH_CLEFT
    Northern Cleft region.

  - ### SOUTH_CLEFT

    public static final MapRegion SOUTH_CLEFT
    Southern Cleft region.

  - ### NORTH_AURORAL_OVAL

    public static final MapRegion NORTH_AURORAL_OVAL
    Northern Auroral Oval region.

  - ### SOUTH_AURORAL_OVAL

    public static final MapRegion SOUTH_AURORAL_OVAL
    Southern Auroral Oval region.

  - ### NORTH_POLAR_CAP

    public static final MapRegion NORTH_POLAR_CAP
    Northern Polar Cap region.

  - ### SOUTH_POLAR_CAP

    public static final MapRegion SOUTH_POLAR_CAP
    Southern Polar Cap region.

  - ### NORTH_MID_LATITUDE

    public static final MapRegion NORTH_MID_LATITUDE
    Northern Mid Latitude region.

  - ### SOUTH_MID_LATITUDE

    public static final MapRegion SOUTH_MID_LATITUDE
    Southern Mid Latitude region.

  - ### LOW_LATITUDE

    public static final MapRegion LOW_LATITUDE
    Low Latitude region.

  - ### NONE

    public static final MapRegion NONE
    No region.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### MapRegion

    private MapRegion(String v)

- ## Method Details

  - ### values

    public static MapRegion[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MapRegion valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static MapRegion fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.